﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using PersistentClasses;
using Telerik.OpenAccess;

public partial class SearchPages_PageSearchEmployees : System.Web.UI.UserControl
{
    protected void Button1_Click(object sender, EventArgs e)
    {
        LoadData();
    }
    protected void RadGrid1_PageIndexChanged(object source, Telerik.Web.UI.GridPageChangedEventArgs e)
    {
        LoadData();
    }

    private void LoadData()
    {
        // collect query string :
        string query = "select * from EmployeeExtent as x";
        string whereclose = "";
        if (RadTextBoxFirstName.Text != "")
            whereclose += " x.FirstName like \"" + RadTextBoxFirstName.Text + "\"";
        if (RadTextBoxLastName.Text != "")
        {
            if (whereclose != "") whereclose += " and";
            whereclose += " x.LastName like \"" + RadTextBoxLastName.Text + "\"";
        }

        if (whereclose != "")
        {
            query += " where" + whereclose;
        }

        // execute query and display result
        IObjectScope scope = ObjectScopeProvider1.GetNewObjectScope();
        IQuery queryForExecution = scope.GetOqlQuery(query);
        queryForExecution.ForwardsOnly = false;
        IQueryResult res = queryForExecution.Execute();
        if (res.Count > 0)
        {
            RadGrid1.DataSource = res;
            RadGrid1.DataBind();
            labelResults.Visible = false;
            RadGrid1.Visible = true;
        }
        else
        {
            RadGrid1.DataSource = null;
            RadGrid1.Visible = false;
            labelResults.Visible = true;
        }
    }
}
