﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="PageSearchOrders.ascx.cs" Inherits="SearchPages_PageSearchOrders" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<div id="mainDiv" style="margin-top: 30px">
    <div id="labelDivOne" style="float: left; color:Gray; margin: 5px">
        <asp:Label ID="Label1" runat="server" Text="Order Number:" style="display: block; margin-bottom: 2px;"></asp:Label>
        <br />
        <br />
        <asp:Label ID="Label3" runat="server" Text="Customer ID:"></asp:Label>
        <br />
        <br />
    </div>
    <div id="textBoxDivOne" style="float: left; margin: 5px; width: 174px;">
        <telerik:RadTextBox ID="RadTextBoxOrderNumber" BackColor="Gray" ForeColor="White" runat="server" Width="149px">
        </telerik:RadTextBox>
        <br />
        <br />
        <telerik:RadTextBox ID="RadTextBoxCustomerID" BackColor="Gray" ForeColor="White" runat="server" Width="87px">
        </telerik:RadTextBox>
        <button id="button2" style="width: 54px" onclick="openWin(); return false;">
            ...</button>
        <br />
        <br />
    </div>
    <div id="buttonDiv" style="margin:25px 5px 5px 15px;position: relative; left: 10px; top: 25px; display: inline">
        <asp:Button ID="Button1" runat="server" Text="Search" Width="100px" OnClick="Button1_Click" />
        <telerik:RadFormDecorator ID="RadFormDecorator1" runat="server" Skin="Black" />
        <br />
    </div>
</div>
<div id="resultsDiv" style="margin: 5px; margin-top: 100px;">
    <asp:Label ID="labelResults" runat="server" Text="There is not any order with the specified parameters"
        Visible="False" Font-Bold="True" Font-Names="Arial Black"></asp:Label>
    <telerik:RadGrid Visible="False" ID="RadGrid1" runat="server" AllowPaging="True"
        AllowSorting="True" GridLines="None" Skin="Black" OnPageIndexChanged="RadGrid1_PageIndexChanged">
        <MasterTableView AutoGenerateColumns="False" DataKeyNames="OrderID">
            <Columns>
                <telerik:GridBoundColumn DataField="OrderID" HeaderText="OrderID" UniqueName="OrderID" />
                <telerik:GridBoundColumn DataField="Customer.CustomerID" HeaderText="Customer" UniqueName="CustomerID" />
                <telerik:GridBoundColumn DataField="OrderDate" HeaderText="Date of Order" UniqueName="OrderDate" />
                <telerik:GridBoundColumn DataField="Freight" HeaderText="Freight" UniqueName="Freight" />
                <telerik:GridBoundColumn DataField="ShipName" HeaderText="Ship Name" UniqueName="ShipName" />
                <telerik:GridBoundColumn DataField="ShipAddress" HeaderText="Ship Address" UniqueName="ShipAddress" />
                <telerik:GridBoundColumn DataField="ShipCity" HeaderText="Ship City" UniqueName="ShipCity" />
                <telerik:GridBoundColumn DataField="ShipCountry" HeaderText="Ship Country" UniqueName="ShipCountry" />
            </Columns>
        </MasterTableView>
        <ClientSettings>
            <Selecting AllowRowSelect="True" />
        </ClientSettings>
    </telerik:RadGrid>
</div>
<telerik:RadScriptBlock ID="asd" runat="server">

    <script type="text/javascript">        
        //<![CDATA[
        function openWin()
        {
            var oWnd = radopen("PopupPages/PopupCustomers.aspx", "RadWindow1");
        }
        
        function OnClientClose(oWnd)
        {
            //get the transferred arguments
            var arg = oWnd.argument;
            if(arg)
            {
                var customer = arg;
                var textBox =$find("<%= RadTextBoxCustomerID.ClientID %>");
                 textBox.set_value(customer);
            }
        }
        //]]>
    </script>

</telerik:RadScriptBlock>
<telerik:RadWindowManager ID="RadWindowManager1" Skin="Black" runat="server" ClientCallBackFunction="OnClientClose"
    Behaviors="Close" Width="750" Height="600px">
</telerik:RadWindowManager>