﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.OpenAccess;
using PersistentClasses;

public partial class PopupPages_PopupCustomers : System.Web.UI.Page
{
    protected void Button1_Click(object sender, EventArgs e)
    {
        LoadData();
    }
    protected void RadGrid1_PageIndexChanged(object source, Telerik.Web.UI.GridPageChangedEventArgs e)
    {
        LoadData();
    }
    private void LoadData()
    {
        string query = "select * from CustomerExtent as x";
        string whereclose = "";
        if (RadTextBoxCompanyName.Text != "")
            whereclose += " x.CompanyName like \"" + RadTextBoxCompanyName.Text + "\"";
        if (RadTextBoxCity.Text != "")
        {
            if (whereclose != "") whereclose += " and";
            whereclose += " x.City like \"" + RadTextBoxCity.Text + "\"";
        }
        if (RadTextBoxContactName.Text != "")
        {
            if (whereclose != "") whereclose += " and";
            whereclose += " x.ContactName like \"" + RadTextBoxContactName.Text + "\"";
        }
        if (RadTextBoxCustomerID.Text != "")
        {
            if (whereclose != "") whereclose += " and";
            whereclose += " x.CustomerID like \"" + RadTextBoxCustomerID.Text + "\"";
        }
        if (RadTextBoxCountry.Text != "")
        {
            if (whereclose != "") whereclose += " and";
            whereclose += " x.Country like \"" + RadTextBoxCountry.Text + "\"";
        }
        if (RadTextBoxRegion.Text != "")
        {
            if (whereclose != "") whereclose += " and";
            whereclose += " x.Region like \"" + RadTextBoxRegion.Text + "\"";
        }

        if (whereclose != "")
        {
            query += " where" + whereclose;
        }
        // execute query and display result
        IObjectScope scope = ObjectScopeProvider1.GetNewObjectScope();
        IQuery queryForExecution = scope.GetOqlQuery(query);
        queryForExecution.ForwardsOnly = false;
        IQueryResult res = queryForExecution.Execute();
        if (res.Count > 0)
        {
            RadGrid1.DataSource = res;
            RadGrid1.DataBind();
            labelResults.Visible = false;
            RadGrid1.Visible = true;
        }
        else
        {
            RadGrid1.DataSource = null;
            RadGrid1.Visible = false;
            labelResults.Visible = true;
        }
    }
}
