﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="PageSearchEmployees.ascx.cs" Inherits="SearchPages_PageSearchEmployees" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<div id="mainDiv" style="margin-top: 30px">
    <div id="labelDivOne" style="float:left; color:Gray; margin:5px">
        <asp:Label ID="Label1" runat="server" Text="Last Name:" style="display: block; margin-bottom: 2px;"></asp:Label>
        <br/>
        <br/>
        <asp:Label ID="Label3" runat="server" Text="First Name:"></asp:Label>
        <br/>
        <br/>
    </div>
    <div id="textBoxDivOne" style="float:left; margin:5px">
        <telerik:RadTextBox ID="RadTextBoxLastName" BackColor="Gray" ForeColor="White" runat="server">
        </telerik:RadTextBox>
        <br/>
        <br/>
        <telerik:RadTextBox ID="RadTextBoxFirstName" BackColor="Gray" ForeColor="White" runat="server">
        </telerik:RadTextBox>
        <br/>
        <br/>
    </div>
    <div id="buttonDiv" style="margin:25px 5px 5px 15px;position: relative; left: 10px; top: 5px; display: inline">
        <asp:Button ID="Button1" runat="server" Text="Search" Width="100px" OnClick="Button1_Click" />
        <telerik:RadFormDecorator ID="RadFormDecorator1" runat="server" Skin="Black" />
        <br />
    </div>
</div>
            
<div id="resultsDiv" style="margin:5px; margin-top:100px;">    
    <asp:Label ID="labelResults" runat="server" Text="There is not any employee with the specified parameters" Visible="False" Font-Bold="True" Font-Names="Arial Black"></asp:Label>
    <telerik:RadGrid Visible="False" ID="RadGrid1" runat="server" AllowPaging="True" AllowSorting="True" GridLines="None" Skin="Black" OnPageIndexChanged="RadGrid1_PageIndexChanged">
        <MasterTableView AutoGenerateColumns="False" DataKeyNames="EmployeeID">
                <Columns>
                    <telerik:GridBoundColumn DataField="EmployeeID" HeaderText="EmployeeID" UniqueName="EmployeeID" />
                    <telerik:GridBoundColumn DataField="LastName" HeaderText="Last Name" UniqueName="LastName" />
                    <telerik:GridBoundColumn DataField="FirstName" HeaderText="First Name" UniqueName="FirstName" />
                    <telerik:GridBoundColumn DataField="Title" HeaderText="Job Title" UniqueName="Title" />
                    <telerik:GridBoundColumn DataField="BirthDate" HeaderText="Date of Birth" UniqueName="BirthDate" />
                    <telerik:GridBoundColumn DataField="Address" HeaderText="Address" UniqueName="Address" />
                    <telerik:GridBoundColumn DataField="City" HeaderText="City" UniqueName="City" />
                    <telerik:GridBoundColumn DataField="Country" HeaderText="Country" UniqueName="Country" />
                </Columns>
        </MasterTableView>
        <HeaderContextMenu Skin="Vista">
            <CollapseAnimation Duration="200" Type="OutQuint" />
        </HeaderContextMenu>
        <ClientSettings>
            <Selecting AllowRowSelect="True" />
        </ClientSettings>
        <FilterMenu Skin="Vista">
            <CollapseAnimation Duration="200" Type="OutQuint" />
        </FilterMenu>
    </telerik:RadGrid>
</div>