﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="PageSearchProducts.ascx.cs" Inherits="SearchPages_PageSearchProducts" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<div id="mainDiv" style="margin-top: 30px; color:Gray;">
    <div id="labelDivOne" style="float:left; margin:5px">
        <asp:Label ID="Label1" runat="server" Text="Name"></asp:Label>
        <br/>
        <br/>
    </div>
    <div id="textBoxDivOne" style="float:left; margin:5px; width: 174px;">
        <telerik:RadTextBox ID="RadTextBoxProductName" BackColor="Gray" ForeColor="White" runat="server" Width="149px">
        </telerik:RadTextBox>
        <br/>
        <br/>
    </div>
    <div id="buttonDiv" style="margin:25px 5px 5px 15px;position: relative; left: 10px; top: 6px; display: inline">
        <asp:Button ID="Button1" runat="server" Text="Search" Width="100px" OnClick="Button1_Click" />
        <telerik:RadFormDecorator ID="RadFormDecorator1" runat="server" Skin="Black" />
        <br />
    </div>
</div>


            
<div id="resultsDiv" style="margin:5px; margin-top:100px;">    
    <asp:Label ID="labelResults" runat="server" Text="There is not any product with the specified parameters" Visible="False" Font-Bold="True" Font-Names="Arial Black"></asp:Label>
    <telerik:RadGrid Visible="False" ID="RadGrid1" runat="server" AllowPaging="True" AllowSorting="True" GridLines="None" Skin="Black" OnPageIndexChanged="RadGrid1_PageIndexChanged">
        <MasterTableView AutoGenerateColumns="False" DataKeyNames="ProductID">
                <Columns>
                    <telerik:GridBoundColumn DataField="ProductID" HeaderText="ProductID" UniqueName="ProductID" />
                    <telerik:GridBoundColumn DataField="ProductName" HeaderText="Product Name" UniqueName="ProductName" />
                    <telerik:GridBoundColumn DataField="Category.CategoryName" HeaderText="Category" UniqueName="Category" />
                    <telerik:GridBoundColumn DataField="Supplier.CompanyName" HeaderText="Supplier Company" UniqueName="CompanyName" />
                    <telerik:GridBoundColumn DataField="QuantityPerUnit" HeaderText="Quantity Per Unit" UniqueName="QuantityPerUnit" />
                    <telerik:GridBoundColumn DataField="UnitsInStock" HeaderText="Units In Stock" UniqueName="UnitsInStock" />
                    <telerik:GridBoundColumn DataField="UnitsOnOrder" HeaderText="Units On Order" UniqueName="UnitsOnOrder" />
                    <telerik:GridBoundColumn DataField="Discounted" HeaderText="Discounted" UniqueName="Discounted" />
                </Columns>
        </MasterTableView>
        <HeaderContextMenu Skin="Sunset">
            <CollapseAnimation Duration="200" Type="OutQuint" />
        </HeaderContextMenu>
        <ClientSettings>
            <Selecting AllowRowSelect="True" />
        </ClientSettings>
        <FilterMenu Skin="Sunset">
            <CollapseAnimation Duration="200" Type="OutQuint" />
        </FilterMenu>
    </telerik:RadGrid>&nbsp;
</div>