﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.OpenAccess;
using PersistentClasses;

public partial class SearchPages_PageSearchProducts : System.Web.UI.UserControl
{
    protected void Button1_Click(object sender, EventArgs e)
    {
        LoadData();
    }


    private void LoadData()
    {
        string query = "select * from ProductExtent as x";
        string whereclose = "";
        if (RadTextBoxProductName.Text != "")
            whereclose += " x.ProductName like \"" + RadTextBoxProductName.Text + "\"";
        if (whereclose != "")
        {
            query += " where" + whereclose;
        }
        IObjectScope scope = ObjectScopeProvider1.GetNewObjectScope();
        IQuery queryForExecution = scope.GetOqlQuery(query);
        queryForExecution.ForwardsOnly = false;
        IQueryResult res = queryForExecution.Execute();
        if (res.Count > 0)
        {
            RadGrid1.DataSource = res;
            RadGrid1.DataBind();
            labelResults.Visible = false;
            RadGrid1.Visible = true;
        }
        else
        {
            RadGrid1.DataSource = null;
            RadGrid1.Visible = false;
            labelResults.Visible = true;
        }
    }

    protected void RadGrid1_PageIndexChanged(object source, Telerik.Web.UI.GridPageChangedEventArgs e)
    {
        LoadData();
    }
}
